﻿using System.ComponentModel.Design;
using System.Windows.Forms.Design;

namespace C4F.VistaP2P.Win.Media
{
    /// <summary>
    /// This class is used to enable Design-Time features.
    /// </summary>
    public class MediaDesigner : ControlDesigner
    {
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                // Create action list collection
                DesignerActionListCollection actionLists = new DesignerActionListCollection();

                // Add custom action list
                actionLists.Add(new MediaDesignerActionList(this.Component));

                // Return to the designer action service
                return actionLists;
            }
        }               

        // Helper property to acquire a ChatControl reference
        private MediaControl MediaControl
        {
            get { return (MediaControl)this.Component; }
        }
    }
}
