﻿using System.ComponentModel.Design;

namespace C4F.VistaP2P.Win.NetworkADV
{
    /// <summary>
    /// Enables the design-time controls for the component.
    /// </summary>
    public class NetworkDesignerADV : ComponentDesigner
    {
        /// <summary>
        /// returns the list of items to show in the smart tag.
        /// </summary>
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                // Create action list collection
                DesignerActionListCollection actionLists = new DesignerActionListCollection();

                // Add custom action list
                actionLists.Add(new NetworkDesignerActionListADV(this.Component));

                // Return to the designer action service
                return actionLists;
            }
        }               

        // Helper property to acquire a ChatControl reference
        private NetworkManagerADV NetworkControlADV
        {
            get { return (NetworkManagerADV)this.Component; }
        }
    }
}
