﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms.Design;
using System.ComponentModel.Design;
using System.Windows.Forms;
using System.Collections;
using System.ComponentModel;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace C4F.VistaP2P.Win.Network
{
    /// <summary>
    /// This class is used to enable Design-Time features.
    /// </summary>
    public class NetworkDesigner : ControlDesigner
    {
        /// <summary>
        /// returns the list of items to display in the smart tags.
        /// </summary>
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                // Create action list collection
                DesignerActionListCollection actionLists = new DesignerActionListCollection();

                // Add custom action list
                actionLists.Add(new NetworkDesignerActionList(this.Component));

                // Return to the designer action service
                return actionLists;
            }
        }               
        
        /// <summary>
        /// Helper property to acquire a NetworkControl reference
        /// </summary>
        private NetworkManager NetworkControl
        {
            get { return (NetworkManager)this.Component; }
        }
    }
}
