﻿using System.ComponentModel.Design;
using System.Windows.Forms.Design;

namespace C4F.VistaP2P.Win.Picture
{
    public class PictureDesigner : ControlDesigner
    {
        public override DesignerActionListCollection ActionLists
        {
            get
            {
                // Create action list collection
                DesignerActionListCollection actionLists = new DesignerActionListCollection();

                // Add custom action list
                actionLists.Add(new PictureDesignerActionList(this.Component));

                // Return to the designer action service
                return actionLists;
            }
        }               

        // Helper property to acquire a ChatControl reference
        private PictureControl FileControl
        {
            get { return (PictureControl)this.Component; }
        }
    }
}
